curl --request POST \
--url https://api.kameleoon.com/feature-flags/{featureFlagId}/results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"conversionType": "ALL_CONVERSION",
"visitorData": false,
"allVariationsData": false,
"bayesian": false,
"sequentialTesting": false,
"enabledMultipleTesting": false,
"referenceVariationId": "<string>",
"breakdown": {
"type": "BROWSER"
},
"goalsIds": [
123
],
"goalIdsCuped": [
123
],
"filters": [
{
"type": "<string>",
"include": true
}
],
"callbackUrl": "<string>"
}
'{
"dataCode": "89599333501501534304101214660291496129464311669540935471556471877530843827432"
}Send a request to generate the report for the results of the given feature flag
curl --request POST \
--url https://api.kameleoon.com/feature-flags/{featureFlagId}/results \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"dateIntervals": [
{
"start": "2023-11-07T05:31:56Z",
"end": "2023-11-07T05:31:56Z"
}
],
"conversionType": "ALL_CONVERSION",
"visitorData": false,
"allVariationsData": false,
"bayesian": false,
"sequentialTesting": false,
"enabledMultipleTesting": false,
"referenceVariationId": "<string>",
"breakdown": {
"type": "BROWSER"
},
"goalsIds": [
123
],
"goalIdsCuped": [
123
],
"filters": [
{
"type": "<string>",
"include": true
}
],
"callbackUrl": "<string>"
}
'{
"dataCode": "89599333501501534304101214660291496129464311669540935471556471877530843827432"
}Documentation Index
Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Date boundaries to include only the results from the specified time period(s).
Show child attributes
Type of conversions to use for calculating reliability, improvement rate and etc
ALL_CONVERSION, CONVERTED_VISITS Set to true to only include data from unique visitors. By default, the report includes all visitor data.
Set to true to include data from all variations at once.
Enables the current Bayesian result probability for the experiment in the report.
Enables the sequential testing result for the experiment in the report.
Enables multiple testing correction for the experiment in the report.
Unique ID of the variation that you want to use as the reference variation.
Breakdown request argument for splitting data
Show child attributes
Specifies which goals to include in the report. Use an empty list [] to exclude all goals. Use null to include all goals. Use a list of goal IDs [123, 456] to include only those goals.
Specifies which goals to include in the report. Use an empty list [] to exclude all goals. Use null to include all goals. Use a list of goal IDs [123, 456] to include only those goals.
Specifies which CUPED goals to include in the report. Use an empty list [] to exclude all CUPED goals. Use null to include all CUPED goals. Use a list of CUPED goal IDs [123, 456] to include only those goals.
Specifies which CUPED goals to include in the report. Use an empty list [] to exclude all CUPED goals. Use null to include all CUPED goals. Use a list of CUPED goal IDs [123, 456] to include only those goals.
List of filters to apply to the data included in the report.
List of filters to apply to the data included in the report.
Show child attributes
Callback URL that you want to send the data response to.
OK
Hash code containing information about the data request, such as dates, goals, variations, format, filters, and so on. Use this code in the AudienceController#poll or DataController functions to obtain actual results. There are two possible formats for the code, depending on the context: 123...123 or 123...123|123...123. For example, AudienceController#global generates the latter.
"89599333501501534304101214660291496129464311669540935471556471877530843827432"
Was this page helpful?